AppAIGatewayDocs
API referenceAdmin organizations

Switch the caller's active organization

POST
/v1/admin/organizations/select

Available to every member, including read-only members, of the target organization.

Authorization

ConsoleSession
agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/organizations/select" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string"  }'
{  "session": {    "user": {      "id": "string",      "name": "string",      "email": "string",      "kind": "human",      "emailVerified": true,      "image": "string",      "createdAt": "string"    },    "organization": {      "id": "string",      "name": "string",      "createdAt": "string",      "claimed": true,      "expiresAt": "string"    },    "role": "owner",    "memberships": [      {        "organization": {          "id": "string",          "name": "string",          "createdAt": "string",          "claimed": true,          "expiresAt": "string"        },        "role": "owner",        "status": "active",        "joinedAt": "string"      }    ],    "credentialType": "session",    "assurance": "interactive",    "actor": {      "type": "user",      "id": "string",      "kind": "human",      "credentialId": "string",      "actionSource": "string"    }  }}